## lazygit 0.50.0+ds1

=== Makefile ===
.PHONY: all
all: build

.PHONY: build
build:
	go build -gcflags='all=-N -l'

.PHONY: install
install:
	go install

.PHONY: run
run: build
	./lazygit

# Run `make run-debug` in one terminal tab and `make print-log` in another to view the program and its log output side by side
.PHONY: run-debug
run-debug:
	go run main.go -debug

.PHONY: print-log
print-log:
	go run main.go --logs

.PHONY: unit-test
unit-test:
	go test ./... -short

.PHONY: test
test: unit-test integration-test-all

# Generate all our auto-generated files (test list, cheatsheets, maybe other things in the future)
.PHONY: generate
generate:
	go generate ./...

.PHONY: format
format:
	gofumpt -l -w .

.PHONY: lint
lint:
	golangci-lint run

# For more details about integration test, see https://github.com/jesseduffield/lazygit/blob/master/pkg/integration/README.md.
.PHONY: integration-test-tui
integration-test-tui:
	go run cmd/integration_test/main.go tui $(filter-out $@,$(MAKECMDGOALS))

.PHONY: integration-test-cli
integration-test-cli:
	go run cmd/integration_test/main.go cli $(filter-out $@,$(MAKECMDGOALS))

.PHONY: integration-test-all
integration-test-all:
	go test pkg/integration/clients/*.go

.PHONY: bump-gocui
bump-gocui:
	scripts/bump_gocui.sh

.PHONY: bump-lazycore
bump-lazycore:
	scripts/bump_lazycore.sh

.PHONY: record-demo
record-demo:
	demo/record_demo.sh $(filter-out $@,$(MAKECMDGOALS))

.PHONY: vendor
vendor:
	go mod vendor && go mod tidy

## lazygit 0.48.0+ds.1

=== debian/changelog ===
lazygit (0.48.0+ds.1-2) unstable; urgency=medium

  * Team upload.
  * source-only upload

 -- Samuel Henrique <samueloph@debian.org>  Thu, 10 Apr 2025 23:58:07 +0100

lazygit (0.48.0+ds.1-1) unstable; urgency=medium

  [ Jongmin Kim, Dawid Dziurla, Ananthu C V ]
  * Initial release (Closes: #908894)

 -- Jongmin Kim <jmkim@debian.org>  Tue, 08 Apr 2025 11:14:47 +0900

=== debian/control ===
Source: lazygit
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jongmin Kim <jmkim@debian.org>,
           Ananthu C V <weepingclown@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-adrg-xdg-dev,
               golang-github-atotto-clipboard-dev,
               golang-github-cloudfoundry-jibber-jabber-dev,
               golang-github-creack-pty-dev,
               golang-github-fsmiamoto-git-todo-parser-dev,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-go-errors-errors-dev,
               golang-github-go-git-go-git-dev,
               golang-github-gobwas-glob-dev,
               golang-github-gookit-color-dev,
               golang-github-humanlogio-humanlog-dev,
               golang-dario-mergo-dev,
               golang-github-integrii-flaggy-dev,
               golang-github-invopop-jsonschema-dev,
               golang-github-jesseduffield-generics-dev,
               golang-github-jesseduffield-gocui-dev,
               golang-github-jesseduffield-kill-dev,
               golang-github-jesseduffield-lazycore-dev,
               golang-github-jesseduffield-minimal-dev,
               golang-github-kardianos-osext-dev,
               golang-github-kyokomi-emoji-dev,
               golang-github-lucasb-eyer-go-colorful-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mgutz-str-dev,
               golang-github-mitchellh-go-ps-dev,
               golang-github-ozeidan-fuzzy-patricia-dev,
               golang-github-sahilm-fuzzy-dev,
               golang-github-samber-lo-dev,
               golang-github-sanity-io-litter-dev,
               golang-github-sasha-s-go-deadlock-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-afero-dev,
               golang-github-spkg-bom-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xo-terminfo-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-yaml.v3-dev
Standards-Version: 4.7.2
Homepage: https://github.com/jesseduffield/lazygit
Vcs-Browser: https://salsa.debian.org/go-team/packages/lazygit
Vcs-Git: https://salsa.debian.org/go-team/packages/lazygit.git
XS-Go-Import-Path: github.com/jesseduffield/lazygit
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: lazygit
Architecture: any
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Depends: git, ${misc:Depends}, ${shlibs:Depends}
Description: Simple terminal UI for git commands
 lazygit is a simple terminal UI for git commands that makes git easy to
 use. All features of lazygit can be easily used by using the arrow keys
 and simple keystrokes.
 .
 lazygit provides the following git features with cool interface:
  * Adding files easily
  * Resolving merge conflicts
  * Easily check out recent branches
  * Scroll through logs/diffs of branches/commits/stash
  * Quick push/pull
  * Squash down and rename commits

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_EXCLUDES := scripts/*
export DH_GOLANG_INSTALL_EXTRA := pkg/i18n/translations/ja.json \
                                  pkg/i18n/translations/pl.json \
                                  pkg/i18n/translations/ru.json \
                                  pkg/i18n/translations/ko.json \
                                  pkg/i18n/translations/pt.json \
                                  pkg/i18n/translations/zh-CN.json \
                                  pkg/i18n/translations/nl.json \
                                  pkg/i18n/translations/zh-TW.json
export DH_GOLANG_BUILDPKG := github.com/jesseduffield/lazygit

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- \
		-buildmode=pie \
		-ldflags="-extldflags -Wl,-z,now \
			-X main.version='$(DEB_VERSION)' \
			-X main.buildSource='debian'"

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="\
  dversionmangle=s/@DEB_EXT@//, \
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lazygit-$1\.tar\.gz/, \
  repacksuffix=+ds.2, \
  repack, compression=xz \
" https://github.com/jesseduffield/lazygit/tags \
  .*/v?(\d\S+)\.tar\.gz

## lazygit 0.49.0+ds.1

=== debian/changelog ===
lazygit (0.49.0+ds.1-2) unstable; urgency=medium

  * Improve manpage with options, keybindings, and files
  * Generate manpage from template using @DEB_VERSION@ for package version
  * Improve package Description
  * Move docs/* files and dirs to docs/
  * Fix watch file repacksuffix to ds.1

 -- Jongmin Kim <jmkim@debian.org>  Thu, 24 Apr 2025 16:06:01 +0900

lazygit (0.49.0+ds.1-1) unstable; urgency=medium

  * New upstream version 0.49.0
    + New repack version 0.49.0+ds.1 without vendor/**
  * Refresh the patches
    + Remove migrate-go.patch: upstream bumped Go version to 1.24
    + Rename the patch files to use semantic names
    + Rearrange the patch sequence
  * Set required version of Build-Depends:
    golang-github-jesseduffield-generics-dev

 -- Jongmin Kim <jmkim@debian.org>  Thu, 17 Apr 2025 17:18:34 +0900

lazygit (0.48.0+ds.1-3) unstable; urgency=medium

  * Fix FTBFS on mips64el due to unsupported -buildmode=pie

 -- Jongmin Kim <jmkim@debian.org>  Tue, 15 Apr 2025 15:33:21 +0900

=== debian/watch ===
version=4
opts="\
  dversionmangle=s/@DEB_EXT@//, \
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lazygit-$1\.tar\.gz/, \
  repacksuffix=+ds.1, \
  repack, compression=xz \
" https://github.com/jesseduffield/lazygit/tags \
  .*/v?(\d\S+)\.tar\.gz

## lazygit 0.50.0+ds1

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                golang-dario-mergo-dev,
                golang-github-integrii-flaggy-dev,
                golang-github-invopop-jsonschema-dev,
-               golang-github-jesseduffield-generics-dev,
+               golang-github-jesseduffield-generics-dev (>= 0.0~git20250406.4f541cb),
                golang-github-jesseduffield-gocui-dev,
                golang-github-jesseduffield-kill-dev,
                golang-github-jesseduffield-lazycore-dev,
@@ -59,14 +59,17 @@
 Static-Built-Using: ${misc:Static-Built-Using}
 Depends: git, ${misc:Depends}, ${shlibs:Depends}
 Description: Simple terminal UI for git commands
- lazygit is a simple terminal UI for git commands that makes git easy to
- use. All features of lazygit can be easily used by using the arrow keys
- and simple keystrokes.
+ lazygit is a simple terminal UI for git commands that makes git easier
+ to use.
  .
- lazygit provides the following git features with cool interface:
-  * Adding files easily
-  * Resolving merge conflicts
-  * Easily check out recent branches
-  * Scroll through logs/diffs of branches/commits/stash
-  * Quick push/pull
-  * Squash down and rename commits
+ It provides an interactive interface to perform common git operations
+ such as:
+ .
+   * Viewing and staging files
+   * Committing changes
+   * Browsing logs and diffs
+   * Managing branches and remotes
+   * Handling stashes
+ .
+ All features of lazygit can be easily accessed using arrow keys and
+ intuitive keystrokes.

## lazygit 0.53.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                golang-dario-mergo-dev,
                golang-github-integrii-flaggy-dev,
                golang-github-invopop-jsonschema-dev,
-               golang-github-jesseduffield-generics-dev (>= 0.0~git20250406.4f541cb),
-               golang-github-jesseduffield-gocui-dev,
+               golang-github-jesseduffield-generics-dev (>= 0.0~git20250517.b0b4a53),
+               golang-github-jesseduffield-gocui-dev (>= 0.4+git20250605.fc53879),
                golang-github-jesseduffield-kill-dev,
                golang-github-jesseduffield-lazycore-dev,
                golang-github-jesseduffield-minimal-dev,

## lazygit 0.53.0+ds1

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 .PHONY: lint
 lint:
-	golangci-lint run
+	./scripts/lint.sh
 
 # For more details about integration test, see https://github.com/jesseduffield/lazygit/blob/master/pkg/integration/README.md.
 .PHONY: integration-test-tui

=== debian/changelog ===
lazygit (0.53.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.53.0
  * Refresh patches
  * Update dependency version constraints

 -- Ananthu C V <weepingclown@debian.org>  Thu, 10 Jul 2025 21:32:53 +0530

lazygit (0.50.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.50.0
    + New repack version 0.50.0+ds1 without vendor/**
  * Refresh the patches

 -- Jongmin Kim <jmkim@debian.org>  Mon, 05 May 2025 21:10:37 +0900

lazygit (0.49.0+ds.1-3) UNRELEASED; urgency=medium

  * Configure Salsa CI served by pkg-go-tools

 -- Jongmin Kim <jmkim@debian.org>  Mon, 28 Apr 2025 14:35:45 +0900

=== debian/rules ===
--- 
+++ 
@@ -13,15 +13,21 @@
                                   pkg/i18n/translations/zh-TW.json
 export DH_GOLANG_BUILDPKG := github.com/jesseduffield/lazygit
 
+BUILDFLAGS := -ldflags="-extldflags -Wl,-z,now -X main.version='$(DEB_VERSION)' -X main.buildSource='debian'"
+ifneq ($(shell dpkg-architecture -qDEB_HOST_ARCH), mips64el)
+BUILDFLAGS += -buildmode=pie
+endif
+
 %:
 	dh $@ --buildsystem=golang --with=golang
 
 override_dh_auto_build:
-	dh_auto_build -- \
-		-buildmode=pie \
-		-ldflags="-extldflags -Wl,-z,now \
-			-X main.version='$(DEB_VERSION)' \
-			-X main.buildSource='debian'"
+	dh_auto_build -- $(BUILDFLAGS)
+
+override_dh_auto_configure:
+	# Generate manpage from template using @DEB_VERSION@ for package version
+	sed "s/@DEB_VERSION@/$(DEB_VERSION)/" debian/manpages/lazygit.1.in > debian/manpages/lazygit.1
+	dh_auto_configure
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

## lazygit 0.54.1

=== debian/changelog ===
lazygit (0.54.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.54.1 release
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 19:53:07 +0200

lazygit (0.45.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.45.0 release
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 16:26:42 +0200

lazygit (0.44.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.44.1 release
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 14:40:30 +0200

lazygit (0.43.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.43.1 release
  * Update the quilt patch
  * Bump the Standars-Version
  * Bump the golang-go version required to build
  * Drop the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 15 Aug 2024 16:12:35 +0200

lazygit (0.41.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.41.0 release
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 12:50:54 +0200

lazygit (0.39.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.39.2 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jul 2023 02:19:17 +0100

lazygit (0.38.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.38.2 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 May 2023 01:43:25 +0100

lazygit (0.37.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.37.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 21:50:05 +0100

lazygit (0.36.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.36.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 17:09:03 +0100

lazygit (0.35-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 30 Sep 2022 20:56:22 +0100

=== debian/control ===
Source: lazygit
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 golang-go (>= 1.24),
 dh-golang,
Standards-Version: 4.7.2
Homepage: https://github.com/jesseduffield/lazygit
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/lazygit
Vcs-Git: https://gitlab.com/kaisenlinux/packages/lazygit.git

Package: lazygit
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: git
Description: Simple terminal UI for git commands

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build
export GO111MODULE=on

%:
	dh $@ --buildsystem=golang

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build
	rm -f $(CURDIR)/lazygit

override_dh_auto_configure:

override_dh_auto_build:
	go build

override_dh_auto_test:
	go test

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/lazygit $(CURDIR)/debian/lazygit/usr/bin

override_dh_dwz:

## lazygit 0.56.0+ds1

=== debian/changelog ===
lazygit (0.56.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.56.0
    + New repack version 0.56.0+ds1 without vendor/**
  * Bump gocui to >= 0.4+git20251002.67e0e55
  * Remove Rules-Requires-Root: no
  * Refresh the patches
  * Migrate the watch file to Version: 5

 -- Jongmin Kim <jmkim@debian.org>  Wed, 03 Dec 2025 05:45:29 +0900

=== debian/watch ===
Version: 5
Template: GitHub
Owner: jesseduffield
Project: lazygit
Dversion-Mangle: s/@DEB_EXT@//
Repacksuffix: +ds1

## lazygit 0.57.0+ds1

=== debian/changelog ===
lazygit (0.57.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.57.0
    + New repack version 0.57.0+ds1 without vendor/**
  * d/README.source: Explain how to handle new *-master directories
  * d/manpages/lazygit.1.in:
    + Fix flag syntax: -- instead of --- in manpage
    + Show default value for --screen-mode
    + Remove incorrect space in sample path
  * Refresh the patches

 -- Jongmin Kim <jmkim@debian.org>  Tue, 09 Dec 2025 19:25:22 +0900

=== debian/control ===
Source: lazygit
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jongmin Kim <jmkim@debian.org>,
           Ananthu C V <weepingclown@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-adrg-xdg-dev,
               golang-github-atotto-clipboard-dev,
               golang-github-cloudfoundry-jibber-jabber-dev,
               golang-github-creack-pty-dev,
               golang-github-fsmiamoto-git-todo-parser-dev,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-go-errors-errors-dev,
               golang-github-go-git-go-git-dev,
               golang-github-gobwas-glob-dev,
               golang-github-gookit-color-dev,
               golang-github-humanlogio-humanlog-dev,
               golang-dario-mergo-dev,
               golang-github-integrii-flaggy-dev,
               golang-github-invopop-jsonschema-dev,
               golang-github-jesseduffield-generics-dev (>= 0.0~git20250517.b0b4a53),
               golang-github-jesseduffield-gocui-dev (>= 0.4+git20251002.67e0e55),
               golang-github-jesseduffield-kill-dev,
               golang-github-jesseduffield-lazycore-dev,
               golang-github-jesseduffield-minimal-dev,
               golang-github-kardianos-osext-dev,
               golang-github-kyokomi-emoji-dev,
               golang-github-lucasb-eyer-go-colorful-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-mgutz-str-dev,
               golang-github-mitchellh-go-ps-dev,
               golang-github-ozeidan-fuzzy-patricia-dev,
               golang-github-sahilm-fuzzy-dev,
               golang-github-samber-lo-dev,
               golang-github-sanity-io-litter-dev,
               golang-github-sasha-s-go-deadlock-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-afero-dev,
               golang-github-spkg-bom-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xo-terminfo-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-yaml.v3-dev
Standards-Version: 4.7.2
Homepage: https://github.com/jesseduffield/lazygit
Vcs-Browser: https://salsa.debian.org/go-team/packages/lazygit
Vcs-Git: https://salsa.debian.org/go-team/packages/lazygit.git
XS-Go-Import-Path: github.com/jesseduffield/lazygit
Testsuite: autopkgtest-pkg-go

Package: lazygit
Architecture: any
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Depends: git, ${misc:Depends}, ${shlibs:Depends}
Description: Simple terminal UI for git commands
 lazygit is a simple terminal UI for git commands that makes git easier
 to use.
 .
 It provides an interactive interface to perform common git operations
 such as:
 .
   * Viewing and staging files
   * Committing changes
   * Browsing logs and diffs
   * Managing branches and remotes
   * Handling stashes
 .
 All features of lazygit can be easily accessed using arrow keys and
 intuitive keystrokes.
